Bug 1063050 (CVE-2017-15277)

Summary: VUL-1: CVE-2017-15277: GraphicsMagick, ImageMagick: "gifoeb": ReadGIFImage in coders/gif.c in leaves the palette uninitialized when processing a GIF, leaking information
Product: [Novell Products] SUSE Security Incidents Reporter: Johannes Segitz <jsegitz>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P4 - Low CC: meissner, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/193229/
Whiteboard: CVSSv3:SUSE:CVE-2017-15277:5.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N) CVSSv2:SUSE:CVE-2017-15277:4.3:(AV:N/AC:M/Au:N/C:P/I:N/A:N) CVSSv2:NVD:CVE-2017-15277:4.3:(AV:N/AC:M/Au:N/C:P/I:N/A:N) CVSSv2:NVD:CVE-2017-10862:5.0:(AV:N/AC:L/Au:N/C:N/I:P/A:N) CVSSv3:RedHat:CVE-2017-15277:3.3:(AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:N) CVSSv3:NVD:CVE-2017-10862:5.3:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N) CVSSv3:NVD:CVE-2017-15277:6.5:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Johannes Segitz 2017-10-12 15:35:11 UTC
CVE-2017-15277

ReadGIFImage in coders/gif.c in ImageMagick 7.0.6-1 and GraphicsMagick 1.3.26
leaves the palette uninitialized when processing a GIF file that has neither a
global nor local palette. If the affected product is used as a library loaded
into a process that operates on interesting data, this data sometimes can be
leaked via the uninitialized palette.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-15277
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-15277
https://github.com/neex/gifoeb
https://github.com/ImageMagick/ImageMagick/issues/592
https://github.com/ImageMagick/ImageMagick/commit/9fd10cf630832b36a588c1545d8736539b2f1fb5
Comment 1 Petr Gajdos 2017-12-06 14:45:53 UTC
Reproducible with 42.3/GraphicsMagick, 11/GraphicsMagick, 11/ImageMagick and 12/ImageMagick.
Comment 2 Petr Gajdos 2017-12-14 10:54:06 UTC
I believe all fixed.
Comment 3 Swamp Workflow Management 2017-12-14 11:30:13 UTC
This is an autogenerated message for OBS integration:
This bug (1063050) was mentioned in
https://build.opensuse.org/request/show/556924 42.2 / GraphicsMagick
https://build.opensuse.org/request/show/556925 42.3 / GraphicsMagick
Comment 5 Swamp Workflow Management 2017-12-17 23:08:45 UTC
openSUSE-SU-2017:3357-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1056550,1059721,1063050,1072103
CVE References: CVE-2017-14042,CVE-2017-14504,CVE-2017-15277,CVE-2017-17498
Sources used:
openSUSE Leap 42.3 (src):    GraphicsMagick-1.3.25-50.1
openSUSE Leap 42.2 (src):    GraphicsMagick-1.3.25-11.52.1
Comment 6 Swamp Workflow Management 2018-01-04 14:11:28 UTC
SUSE-SU-2018:0017-1: An update that fixes 9 vulnerabilities is now available.

Category: security (important)
Bug References: 1052460,1055053,1055063,1056550,1057723,1058422,1063049,1063050
CVE References: CVE-2017-12563,CVE-2017-12691,CVE-2017-13061,CVE-2017-13062,CVE-2017-14042,CVE-2017-14174,CVE-2017-14343,CVE-2017-15277,CVE-2017-15281
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    ImageMagick-6.8.8.1-71.20.1
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-71.20.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    ImageMagick-6.8.8.1-71.20.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-71.20.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-71.20.1
SUSE Linux Enterprise Server 12-SP3 (src):    ImageMagick-6.8.8.1-71.20.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-71.20.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    ImageMagick-6.8.8.1-71.20.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-71.20.1
Comment 7 Swamp Workflow Management 2018-01-05 14:00:31 UTC
This is an autogenerated message for OBS integration:
This bug (1063050) was mentioned in
https://build.opensuse.org/request/show/561883 42.2 / GraphicsMagick
Comment 8 Swamp Workflow Management 2018-01-05 17:09:16 UTC
openSUSE-SU-2018:0025-1: An update that fixes 9 vulnerabilities is now available.

Category: security (important)
Bug References: 1052460,1055053,1055063,1056550,1057723,1058422,1063049,1063050
CVE References: CVE-2017-12563,CVE-2017-12691,CVE-2017-13061,CVE-2017-13062,CVE-2017-14042,CVE-2017-14174,CVE-2017-14343,CVE-2017-15277,CVE-2017-15281
Sources used:
openSUSE Leap 42.3 (src):    ImageMagick-6.8.8.1-43.1
openSUSE Leap 42.2 (src):    ImageMagick-6.8.8.1-30.15.1
Comment 9 Swamp Workflow Management 2018-01-09 11:14:58 UTC
SUSE-SU-2018:0043-1: An update that fixes 9 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1052460,1055053,1055063,1056550,1057723,1058422,1063049,1063050
CVE References: CVE-2017-12563,CVE-2017-12691,CVE-2017-13061,CVE-2017-13062,CVE-2017-14042,CVE-2017-14174,CVE-2017-14343,CVE-2017-15277,CVE-2017-15281
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.17.1
SUSE Linux Enterprise Server 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.17.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.17.1
Comment 10 Swamp Workflow Management 2018-01-24 20:14:28 UTC
SUSE-SU-2018:0197-1: An update that fixes 23 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1047044,1047054,1048457,1049373,1050129,1051412,1051847,1052252,1052460,1052758,1052764,1052771,1055063,1056550,1057723,1058082,1058422,1060577,1061587,1063050,1067177,1074969,1074975
CVE References: CVE-2017-10799,CVE-2017-10800,CVE-2017-11188,CVE-2017-11449,CVE-2017-11532,CVE-2017-12140,CVE-2017-12430,CVE-2017-12563,CVE-2017-12642,CVE-2017-12644,CVE-2017-12662,CVE-2017-12691,CVE-2017-13061,CVE-2017-14042,CVE-2017-14174,CVE-2017-14249,CVE-2017-14343,CVE-2017-14733,CVE-2017-14994,CVE-2017-15277,CVE-2017-16547,CVE-2017-18022,CVE-2018-5247
Sources used:
SUSE Studio Onsite 1.3 (src):    GraphicsMagick-1.2.5-4.78.28.2
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    GraphicsMagick-1.2.5-4.78.28.2
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    GraphicsMagick-1.2.5-4.78.28.2
Comment 11 Marcus Meissner 2018-02-12 08:42:22 UTC
released